Subject: Re: linux-next: Signed-off-by missing for commits in the bpf-next tree

From: Bart Van Assche <[email-masked]>
Date: Wed, 12 Dec 2018 15:45:20 -0800

On Wed, 2018-12-12 at 15:39 -0800, Alexei Starovoitov wrote:
> On Thu, Dec 13, 2018 at 09:48:20AM +1100, Stephen Rothwell wrote:
> > Hi Alexei,
> > 
> > On Wed, 12 Dec 2018 12:53:11 -0800 Alexei Starovoitov <[email-masked]> wrote:
> > > 
> > > On Thu, Dec 13, 2018 at 07:32:45AM +1100, Stephen Rothwell wrote:
> > > > Hi all,
> > > > 
> > > > Commits
> > > > 
> > > >   3bdc28aa2340 ("selftests/bpf: add btf annotations for cgroup_local_storage maps")
> > > >   1dfd1959fed4 ("bpf: add bpffs pretty print for cgroup local storage maps")
> > > >   3adc62d9a5be ("bpf: pass struct btf pointer to the map_check_btf() callback")
> > > >   9cf3a785dc4c ("selftests/bpf: use __bpf_constant_htons in test_prog.c")
> > > > 
> > > > are missing a Signed-off-by from their committers.  
> > > 
> > > the must be a script mistake?
> > > 
> > > I clearly see SOBs for all of them.
> > 
> > For example:
> > 
> > commit 3bdc28aa2340bf1e5af753287b373522bd1c02a9 (bpf-next/master)
> > Author: Roman Gushchin <[email-masked]>
> > Date:   Mon Dec 10 15:43:02 2018 -0800
> > 
> >     selftests/bpf: add btf annotations for cgroup_local_storage maps
> >     
> >     Add btf annotations to cgroup local storage maps (per-cpu and shared)
> >     in the network packet counting example.
> >     
> >     Signed-off-by: Roman Gushchin <[email-masked]>
> >     Cc: Alexei Starovoitov <[email-masked]>
> >     Cc: Daniel Borkmann <[email-masked]>
> >     Acked-by: Martin KaFai Lau <[email-masked]>
> >     Signed-off-by: Daniel Borkmann <[email-masked]>
> > 
> > But it was committed by you, not Daniel.
> 
> since there were only 4 commits I fixed them up manually.
> But this approach doesn't scale.
> We do rebase our trees when we need to fixup or drop patches and
> at any given point a number of commits will be committed by me
> and another set by Daniel. When we rebase we cannot keep adding
> our SOBs to the other person SOBs.
> Then comes the next rebase and we get to the point of
> double and triple SOBs ?
> 
> I think you need to adjust the script to something like:
> SOBs by Daniel | Alexei == commit by Daniel | Alexei
> in bpf and bpf-next trees.

Are you aware of Linus' opinion about rebasing? If not, please have a look
at https://lkml.org/lkml/2016/3/26/71 or https://lwn.net/Articles/328436/.

Thanks,

Bart.